Bug 485884 - Firefox print output is wrong (google maps)
Firefox print output is wrong (google maps)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 03:39 EST by Pavel Rosenboim
Modified: 2009-12-18 02:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:56:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
print output (1.73 MB, application/pdf)
2009-02-17 03:39 EST, Pavel Rosenboim
no flags Details

  None (edit)
Description Pavel Rosenboim 2009-02-17 03:39:27 EST
Created attachment 332191 [details]
print output 

Description of problem:
When printing google maps driving directions, map output looks wrong: colored squares are printed on the map. Stock firefox prints same map correctly.

Version-Release number of selected component (if applicable):
firefox-3.0.6-1.fc10.i386

How reproducible:
Always.

Steps to Reproduce:
1. Attempt to print these directions (but same behavior happens with any others) http://maps.google.com/maps?daddr=%D7%94%D7%A0%D7%97%D7%95%D7%A9%D7%AA,+%D7%AA%D7%9C+%D7%90%D7%91%D7%99%D7%91+%D7%99%D7%A4%D7%95,+%D7%99%D7%A9%D7%A8%D7%90%D7%9C&geocode=&dirflg=&saddr=%D7%9B%D7%A4%D7%A8+%D7%A1%D7%91%D7%90,+HaMerkaz,+Israel&f=d&hl=iw&sll=32.109578,34.838656&sspn=0.012414,0.01914&ie=UTF8&z=13
Comment 1 Martin Stransky 2009-02-17 04:02:40 EST
Looks like problem in cairo, especially when upstream binary prints correctly...
Comment 2 Martin Stransky 2009-02-24 10:45:18 EST
Hm, it looks like pdf printout is corrent and broken is only ps output...
Comment 3 Martin Stransky 2009-02-24 12:41:28 EST
It's fixed in rawhide cairo (cairo-1.8.6-2.fc11.x86_64). As a workaroud you can build it for your box. Or we can consider to update it for F10...
Comment 4 Pavel Rosenboim 2009-02-24 14:01:22 EST
I'll try to build it for F10 and see what happens.
Comment 5 Pavel Rosenboim 2009-02-24 15:13:16 EST
Now it fails in different fascion: map is printed, but without a route on it.
Comment 6 Pavel Rosenboim 2009-02-25 07:44:32 EST
BTW, after latest updates in rawhide, it behaves the same way: prints map without route.
Comment 7 Ronny Buchmann 2009-07-24 20:27:23 EDT
with cairo-1.8.8-1.fc11 it's printing fine (tested with firefox-3.0.12 in F10)
Comment 8 Bug Zapper 2009-11-18 06:07:25 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:56:29 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.